Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::DocIdBitSet Class Reference

Simple DocIdSet and DocIdSetIterator backed by a BitSet. More...

`#include <DocIdBitSet.h>`

Inheritance diagram for Lucene::DocIdBitSet:

## Public Member Functions

| DocIdBitSet ()
| DocIdBitSet (const BitSetPtr &bitSet)
virtual | ~DocIdBitSet ()
virtual String | getClassName ()
boost::shared_ptr< DocIdBitSet > | shared_from_this ()
virtual DocIdSetIteratorPtr | iterator ()
| Provides a `DocIdSetIterator` to access the set. This implementation can return null or `EmptyDocIdSet`.iterator() if there are no docs that match.
virtual bool | isCacheable ()
| This DocIdSet implementation is cacheable.
BitSetPtr | getBitSet ()
| Returns the underlying BitSet.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
Public Member Functions inherited from Lucene::DocIdSet
virtual | ~DocIdSet ()
boost::shared_ptr< DocIdSet > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::DocIdSet
static String | _getClassName ()
static DocIdSetPtr | EMPTY_DOCIDSET ()
| An empty {.

## Protected Attributes

BitSetPtr | bitSet
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

Simple DocIdSet and DocIdSetIterator backed by a BitSet.

## Constructor & Destructor Documentation

## ◆ DocIdBitSet() [1/2]

Lucene::DocIdBitSet::DocIdBitSet | ( |  | ) |

Referenced by _getClassName().

## ◆ DocIdBitSet() [2/2]

Lucene::DocIdBitSet::DocIdBitSet | ( | const BitSetPtr & | bitSet | ) |

References bitSet.

## ◆ ~DocIdBitSet()

virtual Lucene::DocIdBitSet::~DocIdBitSet | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::DocIdBitSet::_getClassName | ( |  | ) |

inline static

References DocIdBitSet().

## ◆ clone()

virtual LuceneObjectPtr Lucene::DocIdBitSet::clone | ( | const LuceneObjectPtr & | other = LuceneObjectPtr() | ) |

virtual

Return clone of this object.

Parameters

  other | clone reference - null when called initially, then set in top virtual override.

Reimplemented from Lucene::LuceneObject.

## ◆ equals()

virtual bool Lucene::DocIdBitSet::equals | ( | const LuceneObjectPtr & | other | ) |

virtual

Return whether two objects are equal.

Reimplemented from Lucene::LuceneObject.

## ◆ getBitSet()

BitSetPtr Lucene::DocIdBitSet::getBitSet | ( |  | ) |

Returns the underlying BitSet.

## ◆ getClassName()

virtual String Lucene::DocIdBitSet::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::DocIdSet.

## ◆ hashCode()

virtual int32_t Lucene::DocIdBitSet::hashCode | ( |  | ) |

virtual

Return hash code for this object.

Reimplemented from Lucene::LuceneObject.

## ◆ isCacheable()

virtual bool Lucene::DocIdBitSet::isCacheable | ( |  | ) |

virtual

This DocIdSet implementation is cacheable.

Reimplemented from Lucene::DocIdSet.

## ◆ iterator()

virtual DocIdSetIteratorPtr Lucene::DocIdBitSet::iterator | ( |  | ) |

virtual

Provides a `DocIdSetIterator` to access the set. This implementation can return null or `EmptyDocIdSet`.iterator() if there are no docs that match.

Implements Lucene::DocIdSet.

## ◆ shared_from_this()

boost::shared_ptr< DocIdBitSet > Lucene::DocIdBitSet::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ bitSet

BitSetPtr Lucene::DocIdBitSet::bitSet

protected

Referenced by DocIdBitSet().

The documentation for this class was generated from the following file:

- DocIdBitSet.h

clucene.sourceforge.net